org.apache.ignite.internal.processors.cache.persistence.defragmentation

## Class DefragmentationMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.defragmentation.DefragmentationMXBeanImpl

All Implemented Interfaces:
  DefragmentationMXBean

    public class DefragmentationMXBeanImpl
    extends Object
    implements DefragmentationMXBean

Defragmentation MX bean implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefragmentationMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel()` Cancel defragmentation.
`boolean` `inProgress()` Get defragmentation status.
`int` `processedPartitions()` Get count of processed partitions.
`boolean` `schedule(String cacheNames)` Schedule defragmentation for given caches.
`long` `startTime()` Get defragmentation's start time.
`int` `totalPartitions()` Get total count of partitions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefragmentationMXBeanImpl

    public DefragmentationMXBeanImpl(GridKernalContext ctx)

### Method Detail

#### schedule

    public boolean schedule(String cacheNames)

Schedule defragmentation for given caches.

Specified by:
  `schedule` in interface `DefragmentationMXBean`
Parameters:
  `cacheNames` - Names of caches to run defragmentation on, comma separated.
Returns:
  `true` if defragmentation is scheduled, `false` otherwise.

#### cancel

    public boolean cancel()

Cancel defragmentation.

Specified by:
  `cancel` in interface `DefragmentationMXBean`
Returns:
  `true` if defragmentation was canceled, `false` otherwise.

#### inProgress

    public boolean inProgress()

Get defragmentation status.

Specified by:
  `inProgress` in interface `DefragmentationMXBean`
Returns:
  `true` if defragmentation is in progress right now.

#### processedPartitions

    public int processedPartitions()

Get count of processed partitions.

Specified by:
  `processedPartitions` in interface `DefragmentationMXBean`
Returns:
  `true` if defragmentation is in progress right now.

#### totalPartitions

    public int totalPartitions()

Get total count of partitions.

Specified by:
  `totalPartitions` in interface `DefragmentationMXBean`
Returns:
  `true` if defragmentation is in progress right now.

#### startTime

    public long startTime()

Get defragmentation's start time.

Specified by:
  `startTime` in interface `DefragmentationMXBean`
Returns:
  `true` if defragmentation is in progress right now.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021